%global momorel  2
%global xfce4ver 4.4.1

Summary: 	XFce4 mini command plugin
Name: 		xfce4-minicmd-plugin
Version: 	0.4
Release:	%{momorel}m%{?dist}
URL:		http://goodies.xfce.org/
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
#NoSource:	0
License:	BSD and GPL and LGPL
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  xfce4-panel >= %{xfce4ver}
BuildRequires:  libxfcegui4-devel  >= %{xfce4ver}
BuildRequires:  libxfce4util-devel >= %{xfce4ver}
BuildRequires:  gtk+-devel >= 2.10.3
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig

%description 
A mini command-line plugin for the Xfce panel. You can execute programs by 
typing their names in the widget and hitting Enter or Ctrl+Enter. The latter 
runs the command in a terminal. It maintains history which is shared with 
xfrun4. This history can be accessed by Up and Down keys.

%prep
%setup -q

%build
%configure --disable-static
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*

%changelog
* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4-2m)
- rebuild against xfce4 4.4.1
- no nosource0

* Mon Jan 29 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4-1m)
- update to 0.4
- rebuild against xfce4 4.4.0

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-6m)
- delete libtool library
- rebuild against libxfcegui4-4.2.3-2m xfce4-panel-4.2.3-4m 
-- libxfce4util-devel-4.2.3.2-2m

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-5m)
- rebuild against xfce4 4.2.2

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-4m)
- rebuild against xfce4 4.2.1

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-3m)
- rebuild against xfce4 4.2.0

* Tue Dec 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.0-2m)
- rebuild against xfce4 4.1.99.2

* Wed Nov  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.0-1m)
- version up

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-6m)
- rebuild against xfce4 4.1.90

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.0-5m)
- rebuild against xfce4 4.0.5

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.0-4m)
- rebuild against for libxml2-2.6.8

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-3m)
- rebuild against xfce4 4.0.3

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-2m)
- rebuild against xfce4-4.0.1

* Tue Oct 14 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.2.0-1m)
- version 0.2.0

* Sat Sep 20 2003 HOSONO Hidetomo <h12o@h12o.org>
- (0.1.1-1m)
